C==WRITE  (IZCH=7)  OR READ (IZCH=2)======
C======= WAVE FUNCTIONS FROM DISK======
      SUBROUTINE DISKO1(IFA,I,IZCH,NE5,R)
C=========================================
      REAL*8    R(  * ),C
      REWIND IFA
      DO 10 J=1,I
   10 READ(IFA) C
      IF(IZCH.EQ.2) GOTO 1
      WRITE(IFA) (R(J),J=1,NE5)
      GOTO 2
    1 READ(IFA,  END=2) (R(J),J=1,NE5)
    2 CONTINUE
      RETURN
      END
